Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.model
Interface RegionListener

All Known Subinterfaces:
  RegionController

public interface RegionListener

This Listener is invoked when a nested Region is being processed by it's containee. This allows lifecycle implementations to be notified of events when a region is being refreshed or validated so that they can take over calling of nested region's refresh of validate operations. ADF bindingContainer implementation will make sure that the RegionController registered with the bindingContainer is invoked at the end of all RegionListeners registered with it for both refresh and validate operations.

Method Summary
`java.lang.String` | `getName()` Identifier used to display in exceptions or logs when this listener is being processed.
`boolean` | `isRegionViewable(RegionContext regionCtx)` Notified when a contained region's isVisible check is done.
`boolean` | `refreshRegion(RegionContext regionCtx)` Notified when a contained region's refresh() method should be called.
`boolean` | `validateRegion(RegionContext regionCtx)` Notified when a contained region's validate() method should be called.

Method Detail

### refreshRegion

    public boolean refreshRegion(RegionContext regionCtx)

  Notified when a contained region's refresh() method should be called. Return true if region's refresh logic needs to proceed with invoking refresh() on the region binding.

### validateRegion

    public boolean validateRegion(RegionContext regionCtx)

  Notified when a contained region's validate() method should be called. Return true if region's validate logic needs to proceed with invoking validate() on the region binding.

### isRegionViewable

    public boolean isRegionViewable(RegionContext regionCtx)

  Notified when a contained region's isVisible check is done.

### getName

    public java.lang.String getName()

  Identifier used to display in exceptions or logs when this listener is being processed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.